Skype Legacy - Suddenly stopped working - HELP!?


#1

Hi there.

I have been continuing to use Skype Legacy for business calls as the later ones don’t work on my system. Suddenly today the legacy version stops working completely. I was using it one minute & the next it just disappeared & won’t load any more.

If you have any suggestions I would really appreciate it as I cannot get the new versions to set up the audio so I can speak & hear via my head set.

Thanks in advance!

Ruziel :slight_smile:


#2

Run from a terminal - any errors?

:edit: reinstall as well, it might rebuild against newer packages.


#3

Hi xircon. Thanks for your help. I run it from the terminal & get this…

[ruziel@RZL ~]$ skype

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(skype:7634): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

#4

Just warnings - reinstall?

Let me try to install this end.


#5

I’ve reinstalled by doing a simple “sudo pacman -R” & then “sudo pacman -S”. It hasn’t helped so far. It’s strange as I was using it when it suddenly closed. Nothing else on my system has changed.

Thanks in advance,

Ruziel.


#6

It is an aur package!!!

yaourt skype-legacy

#7

Hi, yeah it’s in AUR. Does that mean I can’t hope to fix this? I have tried both the new Skype versions & neither work on my machine. Audio is intermittent. Thanks, R.


#8

I am trying to install “gtk2-engines-murrine” but Pacman says it doesn’t exist.


#9

Forget it MS have killed it. I got a message saying “new version available” I chose not to install new version, now it dies.

Note the message in red.


Sorry mate - game over.


#10

Damn. Okay thanks.

Bastards.


#11

Do you have a smart phone? That should work.


#13

You could try the newer version once more. For some time skypeforlinux from the AUR didn’t work for me too, crashed directly after start, but now it’s working.


#14

folky, thanks. I’m trying Skype Beta 5.5 & have managed to make a few calls via SkypeOut - so far so good!

Hopefully Microsoft will now really get behind the new version & make it good.

Thanks everyone.

Ruziel :slight_smile:


#15

I have the same issue.

I was able to remove the Gtk-WARNING by installing the lib32-gnome-themes-standard.

Skype still crashes, but now silently without any errors or warnings.

Like you, I’ll try the beta and see how it goes.


#16

I can’t get skype-legacy to work anymore. After logging in it closes and I get no debug-output when running skype from terminal. I hope someone can find a way to get it working as the new betaclient, which is nothing but a wrapper for the webbased skype-client, doesn’t work good enough for me.


#17

It seems that MS has killed off Skype legacy, I experienced the same issue as I was still using Skype legacy on one of my machines. It is really unfortunate, as I do not like the direction they have taken with the new version of Skype. The UI is not really to my liking, unfortunately their unlimited calling plans for calling certain countries are the best I can find. If anyone knows any others that work in Linux and have unlimited calling plans, let me know. =)


#18

(moved from #technical-issues-and-assistance:applications to #technical-issues-and-assistance:aur as Skype isn’t in the repos)


#19

@Beherit - I know how you feel - my thoughts exactly!

@NeoTheo - I also rely on SkypeOut so agree with you - it’s very frustrating. I did some research on alternatives a while back but can’t find my notes. I know I found some options by looking for VOIP soft phones for Linux - there are definitely some unlimited call providers out there. I would suggest you uninstall Skype Legacy & try the 5.5 version. Good luck!

I am now running the 5.5 beta version & I can at least make call & have the audio working okay - the newer version is a complete mess on my machine.

Just make sure you’re not logged into Skype for Web at the same time - I found that tends to mess with things.

Let us know how you all get on & more power to you all.

Ruziel :slight_smile:


#20

changing start command for newest skype versions fixed audio stuttering problem
env PULSE_LATENCY_MSEC=30 skypeforlinux

Trying it with latency reduced to 20mS and still seems ok


#21

Isn’t this community fantastic! Thanks everyone - great vibe here.

More power to you all!

Ruziel :slight_smile: